<?php

/**
* MILESTONE TYPE
*/
class milestone_type
{
    private $mt_id;
    private $mt_name;
	private $mt_short_name;

    public function set_mt_data_by_id($_mt_id) {
		global $sql;
		$cat_assoc_array = $sql->assoc_array("select * from milestone_type where mt_id = " . $_mt_id);
		$cat_array = $cat_assoc_array[0];
        //alapadatok
		foreach ($cat_array as $field => $value) {
			$function_name = "set_" . $field;
			$this->$function_name($value);
		}

	}

    /**
     * @return mixed
     */
    public function get_mt_id()
    {
        return $this->mt_id;
    }

    /**
     * @param mixed $mt_id
     *
     * @return self
     */
    public function set_mt_id($mt_id)
    {
        $this->mt_id = $mt_id;

        return $this;
    }

    /**
     * @return mixed
     */
    public function get_mt_name()
    {
        return $this->mt_name;
    }

    /**
     * @param mixed $mt_name
     *
     * @return self
     */
    public function set_mt_name($mt_name)
    {
        $this->mt_name = $mt_name;

        return $this;
    }

    /**
     * @return mixed
     */
    public function get_mt_short_name()
    {
        return $this->mt_short_name;
    }

    /**
     * @param mixed $mt_short_name
     *
     * @return self
     */
    public function set_mt_short_name($mt_short_name)
    {
        $this->mt_short_name = $mt_short_name;

        return $this;
    }
}


?>
